version (GC_ENABLE) {
	extern (C) void*  gc_malloc( size_t sz, uint ba = 0 );
	extern (C) void*  gc_calloc( size_t sz, uint ba = 0 );
	extern (C) void*  gc_realloc( void* p, size_t sz, uint ba = 0 );

	struct GC
	{
		alias gc_malloc malloc;
		alias gc_calloc calloc;
		alias gc_realloc realloc;
		alias gc_disable disable;
	}
}
else {
	import core.stdc.stdlib;

	struct GC
	{
		alias core.stdc.stdlib.malloc malloc;
		alias core.stdc.stdlib.calloc calloc;
		alias core.stdc.stdlib.realloc realloc;
	}
}